#' Statistics 
#'@param datos vector
#'@return statistics
#'@useDynLib CSTools 
#'@export
myfun <- function (datos) {
#          if (!is.loaded('estad')) {
#              dyn.load("./inst/lib/estad.so")
#  }
          if (!is.numeric(datos)) { 
              stop("argument dat must be numeric")
  }
          num <- length(datos)

          retvals <- .Fortran("estad",
                              dat = as.numeric(datos),
                              media = as.numeric(0.0),
                              sigma = as.numeric(0.0),
                              tot = as.integer(num), PACKAGE = 'CSTools')

#          return(retvals$media)
          return(retvals)
}

